Subject: Re: [BUG] git-http-fetch segfault

From: Radoslaw Szkodzinski <[email-masked]>
Date: Tue, 04 Apr 2006 21:54:44 +0200

Nick Hengeveld wrote:
> On Tue, Apr 04, 2006 at 07:11:40PM +0200, Radoslaw Szkodzinski wrote:
> 
>> I have some problems cloning stgit repository (maybe something's broken there).
>>
>> astralstorm@zen /home/devel $ git clone
>> http://homepage.ntlworld.com/cmarinas/stgit.git stgit
>> error: Unable to find adad46f365219e9bcc1a212826ca65eaac09729c under
>> http://homepage.ntlworld.com/cmarinas/stgit.git/
>> Cannot obtain needed blob adad46f365219e9bcc1a212826ca65eaac09729c
>> while processing commit 8847a11b3bbf5406f37a360e5466f0e392c56383.
> 
> That host name resolves to multiple IP addresses, is it possible that
> one of the servers was out of sync?  I tried cloning directly from each
> address and couldn't reproduce the problem.
> 

Anyhow, git-http-fetch shouldn't segfault.

It's not my server, I don't know the exact configuration.
Also the repository is not mine.

It is reproducible here 100% of the time.

Here, it resolves like that:
astralstorm@zen $ resolveip homepage.ntlworld.com
IP address of homepage.ntlworld.com is 62.253.162.12
IP address of homepage.ntlworld.com is 62.253.162.178
IP address of homepage.ntlworld.com is 62.253.162.10
IP address of homepage.ntlworld.com is 62.253.162.11

I have an strace for you, bzipped and attached.

It is an output of the command:
strace -e 'trace=!poll,gettimeofday,select' -o fetch-strace.log git-http-fetch
-v -a -w heads/master heads/master http://homepage.ntlworld.com/cmarinas/stgit.git/

I hope it is enough to hunt the bug. If you need more info, please just ask.

-- 
GPG Key id:  0xD1F10BA2
Fingerprint: 96E2 304A B9C4 949A 10A0  9105 9543 0453 D1F1 0BA2

AstralStorm